#include "ngutil.h"
#include <stdio.h>
#include <math.h>

double FieldNorm2(int N, double *fld)
{
	double sum = 0;
	int i;
	for(i = 0; i< N; i++)
	{
		sum += (fld[i] * fld[i]);
	}

	return sum;
}

int CheckVector(int N,double *V)
{
	int i;
	int flag = 1;
	for(i=0; i< N; i++)
	{
		if(!isfinite(V[i]))
		{ 
			flag = -1; 
			fprintf(stderr,"V[%i] = %g |",i,V[i]);
		}
	}

	if (flag > 0)
	{
		fprintf(stderr,"Vector is fine\n");
	}

	return flag;
}

int gp(int Ny, int Nz, int i, int j, int k)
{
	return k + Nz * (j + Ny * i);
}

int gpe(int Nx, int Ny, int Nz, int c, int i, int j, int k)
{
	return k + Nz * (j + Ny * (i + Nx * c));
}
