/* elemcnt.c -- This routine computes and returns an element count from
 * header information for either a static (type = 's') or variable
 * (type = 'v') slice.  The header must previously been written into
 * a buffer.  This routine uses getfld.
 */
#include <stdio.h>
#include "cdfhdr.h"
static struct field *fp;

long elemcnt(buffer,max,type)
char buffer[][LINE];        /* header buffer */
int max;                    /* maximum number of lines in buffer */
char type;                  /* type of slice -- static or variable */
{
  long sum;
  int i;

  i = 0;
  sum = 0;
  while ((fp = getfld(buffer,max,type,i++)) != NULL) {
    sum += fp->tsize;
  }
  return(sum);
}
