#!/bin/sh
#
# confdirs.sh -- Configure directories needed by Candis
#
if test $# != 1
then
    echo "Usage: confdirs.sh prefix"
    echo "  'prefix' is the root of the Candis heirarchy."
    echo "  Needs to be run as superuser if"
    echo "  directories are in the root partition."
    echo "  If they already exist, the script"
    echo "  complains harmlessly."
    echo "  Be careful!"
else
    prefix=$1

    # make directories
    mkdir ${prefix}
    mkdir ${prefix}/bin
    mkdir ${prefix}/lib
    mkdir ${prefix}/man
    mkdir ${prefix}/man/man1
    mkdir ${prefix}/man/man3
    mkdir ${prefix}/man/man5
fi

