#!/bin/sh
#
# configure.sh -- Do candis configuration
# run in main Candis directory
# assumes that install directories exist
#
if test $# != 1
then
    echo "Usage: configure.sh prefix"
    echo "  prefix is the absolute path under which candis is installed"
    echo "  for example '/usr/local' or '/home/root'"
else
    prefix=$1

    # configure Makefiles (doesn't do html yet)
    ./domake.sh Clang/general ${prefix}
    ./domake.sh Clang/include ${prefix}
    ./domake.sh Clang/ng3dvar ${prefix}
    ./domake.sh Clang/ngradar ${prefix}
    ./domake.sh Clang/ngsonde ${prefix}
    ./domake.sh Clang/unidata ${prefix}
    ./domake.sh Clang/utils ${prefix}
    ./domake.sh Go ${prefix}
    ./domake.sh Python ${prefix}
fi

