// wttest -- test the particle terminal velocity calculator
#include <stdio.h>
#include <math.h>
#include <stdlib.h>

double atof();
double wtcalc();

main(int argc, char *argv[])
{
  double z, dbz, wt;

  if (argc != 3) {
    fprintf(stderr,"Usage: wttest z dbz\n");
    exit(1);
  }

  z = atof(argv[1]);
  dbz = atof(argv[2]);

  wt = wtcalc(z,dbz);
  printf("z = %g; dbz = %g; wt = %g\n", z, dbz, wt);

  exit(0);
}
