/* newtontest -- Test Newton's method used in ndoppler. */
/* $Id: newtontest.c,v 1.1 2009/06/26 20:13:32 raymond Exp $ */
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <unistd.h>
#include "ngutils.h"

double newton(double A, double B, double C, double astart, double frac);

main(int argc, char **argv)
{
  double A, B, C, astart, frac, val;

  /* command line args */
  if (argc != 6) {
    fprintf(stderr,"Usage: newtontest A B C astart frac\n");
    exit(1);
  }
  A = atof(argv[1]);
  B = atof(argv[2]);
  C = atof(argv[3]);
  astart = atof(argv[4]);
  frac = atof(argv[5]);

  /* call the newton routine */
  val = newton(A,B,C,astart,frac);
  exit(0);
}

