#!/bin/sh
#
# domake.sh -- Configure Makefile
#
if test $# != 2
then
    echo "Usage: configure.sh srcdir prefix"
else
    srcdir=$1
    prefix=$2

    bindir=${prefix}/bin
    libdir=${prefix}/lib
    incldir=${prefix}/include
    manroot=${prefix}/man

    cd ${srcdir}
    sed s@XXXBIN@$bindir@ < Makefile.skel | \
	sed s@XXXLIB@$libdir@ | \
	sed s@XXXINCL@$incldir@ | \
	sed s@XXXMAN@$manroot@ > Makefile
fi
