#!/bin/sh
#
# cdfaxentry.sh -- get the ax entry for an index field for qplot or goplot
#
if test $# != 3
then
    echo "Usage: cdfaxentry.sh cdffile index_field dval"
else
    infile=$1
    ifield=$2
    dval=$3

    ifield0=`cdflook < $infile | grep ${ifield}0 | cut -d ' ' -f 2`
    difield=`cdflook < $infile | grep d${ifield} | cut -d ' ' -f 2`
    nifield=`cdflook < $infile | grep "^${ifield} " | cut -d ' ' -f 7`
    ifield1=`echo "$ifield0 + $difield * ($nifield - 1)" | bc`

    axentry=${ifield0},${ifield1},$dval
    echo $axentry
fi
