#!/bin/sh
#
# jday.sh -- Calculate julian day for year from date or reverse.
#
if test $# = 2
then
    year=$1
    jday=$2
    jday0=`cdfj 0 1 $year`
    jday1=$(($jday0 + $jday))
    cdfj $jday1
elif test $# = 3
then
    year=$1
    month=$2
    day=$3
    jday0=`cdfj 0 1 $year`
    jday1=`cdfj $day $month $year`
    jday=$(($jday1 - $jday0))
    echo "$jday"
else
    echo "Usage: jday.sh year jday | (month day)"
fi
